/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.fragments;

import com.thingspace.cloud.sdk.list.ItemList;
import com.thingspace.media.cache.SortPreference;
import com.thingspace.media.tasks.GetPhotosTask;
import com.thingspace.media.tasks.HubbleMediaTask;

/**
 * PhotoGridFragment is called when "Photos" Tab is selected in Photos/Videos which displays all the Photos stored in the cloud.
 * This Fragment calls GetPhotosTask which in turn calls Cloud SDK API to retrieve all the photos stored in user's cloud storage account.
 */
public class PhotoGridFragment extends BaseFragment {

    public void executeQuery() {
        /**
         * GetPhotosTask calls Cloud SDK API to retrieve all the photos stored in user's cloud storage account.
         */
        GetPhotosTask getPhotosTask = new GetPhotosTask(getActivity(), this, cloudAPI, SortPreference.getSortType(getActivity()));
        getPhotosTask.execute();
    }

    @Override
    public void onResponse(int taskCode, int errorCode, Object response) {
        if (taskCode == HubbleMediaTask.TASK_GET_PHOTOS) {
            if (response instanceof ItemList) {
                itemList = (ItemList) response;
                recyclerView.setAdapter(getRecyclerViewAdapter(itemList));
            }
        }
    }
}
