/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.media.fragments;

import com.thingspace.cloud.sdk.list.ItemList;
import com.thingspace.media.cache.SortPreference;
import com.thingspace.media.tasks.GetVideosTask;
import com.thingspace.media.tasks.HubbleMediaTask;

/**
 * VideoGridFragment is called when "Videos" Tab is selected in Photos/Videos which displays all the Videos stored in the cloud.
 * This Fragment calls GetVideosTask which in turn makes a cloud SDK API call to retrieve all the videos stored in user's cloud storage account.
 */
public class VideoGridFragment extends BaseFragment {

    public void executeQuery() {
        /**
         * GetVideosTask makes a cloud SDK API call to retrieve all the videos stored in user's cloud storage account.
         */
        GetVideosTask task = new GetVideosTask(getActivity(), this, cloudAPI, SortPreference.getSortType(getActivity()));
        task.execute();
    }

    @Override
    public void onResponse(int taskCode, int errorCode, Object response) {
        if (taskCode == HubbleMediaTask.TASK_GET_VIDEOS) {
            if (response instanceof ItemList) {
                itemList = (ItemList) response;
                recyclerView.setAdapter(getRecyclerViewAdapter(itemList));
            }
        }
    }
}
